CS::RenderManager::RenderTree< TreeTraits >::MeshNode Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes
CS::RenderManager::RenderTree< TreeTraits >::MeshNode Struct Reference

A mesh node is a single list of meshes that can be rendered in one go without any explicit order considerations. More...

`#include <csplugincommon/rendermanager/rendertree.h>`

Inheritance diagram for CS::RenderManager::RenderTree< TreeTraits >::MeshNode:

List of all members.

## Classes
struct | SingleMesh
| A single mesh within the tree to be rendered. More...
## Public Member Functions
ContextNode & | GetOwner () const
| Owner.
## Public Attributes
TreeTraitsType::MeshNodeKeyType | key
| Our own key.
MeshArrayType | meshes
| All the meshes within the meshnode.
int | sorting
| Sorting.

## Detailed Description

### template<typename TreeTraits = RenderTreeStandardTraits>
struct CS::RenderManager::RenderTree< TreeTraits >::MeshNode

A mesh node is a single list of meshes that can be rendered in one go without any explicit order considerations.

Definition at line 298 of file rendertree.h.

## Member Function Documentation

template<typename TreeTraits = RenderTreeStandardTraits>

ContextNode& CS::RenderManager::RenderTree< TreeTraits >::MeshNode::GetOwner | ( |  | ) | const`[inline]`

Owner.

Definition at line 349 of file rendertree.h.

## Member Data Documentation

template<typename TreeTraits = RenderTreeStandardTraits>

TreeTraitsType::MeshNodeKeyType CS::RenderManager::RenderTree< TreeTraits >::MeshNode::key

Our own key.

Definition at line 352 of file rendertree.h.

template<typename TreeTraits = RenderTreeStandardTraits>

MeshArrayType CS::RenderManager::RenderTree< TreeTraits >::MeshNode::meshes

All the meshes within the meshnode.

Definition at line 358 of file rendertree.h.

template<typename TreeTraits = RenderTreeStandardTraits>

int CS::RenderManager::RenderTree< TreeTraits >::MeshNode::sorting

Sorting.

Definition at line 355 of file rendertree.h.

The documentation for this struct was generated from the following file:

- csplugincommon/rendermanager/rendertree.h